!f2py3 -m elwriterdaf90 -c elwriterdaf90.f90 

subroutine writeobs4da_cams(filename, obstype, obslon, obslat, obsn,          &
&                           obsid, obslev, obs, obserr, nentries, maxobs,       &
&                           isbigendian, dimchar)


implicit none

integer , parameter  :: dp = kind(0.D0)
integer, intent(in)  :: isbigendian, maxobs, nentries
integer, intent(in) :: dimchar !length of the filename
integer, parameter :: kind_out= 4
character(len = dimchar), intent(in) :: filename
real(kind=dp), dimension(nentries) :: obslon, obslat
integer, dimension(nentries) :: obsn, obstype
real(kind=dp), dimension(nentries, maxobs) :: obs, obserr
integer, dimension(nentries, maxobs) :: obsid, obslev
integer :: ientry, iobs


if (isbigendian .eq. 1) then
  open(unit=100,file=filename,form='unformatted', CONVERT="BIG_ENDIAN")
else
  open(unit=100,file=filename,form='unformatted', CONVERT="LITTLE_ENDIAN")
endif

do ientry = 1, nentries
  write(100) obstype(ientry), real(obslon(ientry), kind_out), real(obslat(ientry), kind_out), obsn(ientry)

  do iobs =1, obsn(ientry)
    write(100) obsid(ientry, iobs), obslev(ientry, iobs), real(obs(ientry, iobs), kind_out), real(obserr(ientry, iobs), kind_out)

  enddo
enddo

 close(100)

end subroutine writeobs4da_cams



